#ifndef JELIZA_DEFS_H
#define JELIZA_DEFS_H 1


/*
 * This is part of JEliza revision 5X.
 * Copyright 2008 by Tobias Schulz
 * WWW: http://jeliza.ch.to/
 *
 * JEliza is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later
 * version.
 *
 * JEliza is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU GPL
 * along with JEliza (file COPYING) ; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin St,
 * Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifdef HAVE_LONG_LONG
#undef HAVE_LONG_LONG
#endif

#ifndef NO_PYTHON
#include <Python.h>
#endif

#include <iostream>
#include <fstream>
#include <string>
#include <map>
#include <queue>
#include <sstream>

#include <string>
#include <list>

#include <time.h>
#include <vector>
#include <unistd.h>
#include <getopt.h>

#include <algorithm>

#include <sys/time.h>

#include <cstdlib>

#ifdef linux
//#include <process.h>
#define CLEAR_CMD "clear"
#else
#ifdef __linux__
//#include <process.h>
#define CLEAR_CMD "clear"
#else
//#include <conio.h>
#define CLEAR_CMD "cls"s
#endif
#endif

#ifndef JELIZA_DEC_VERSION
#define JELIZA_DEC_VERSION 1
#endif

#ifndef JELIZA_FULL_VERSION
#define JELIZA_FULL_VERSION string("69")
#endif

#ifndef KI_NAME
#define KI_NAME string("JEliza rev.") + JELIZA_FULL_VERSION
#endif

#include <utility>
using namespace std::rel_ops;

#include <unistd.h>

#include "jeliza-namespace.h"

#endif
